Spike [2 hours]: QuickSurveys deployment process
Closed, ResolvedPublic

Description

Explore what the process should look like and how we can make it happen.

Document on https://www.mediawiki.org/wiki/Extension:QuickSurveys/Deploying_surveys

Duration: 2hrs

bmansurov updated the task description. (Show Details)
bmansurov raised the priority of this task from to Needs Triage.
bmansurov added subscribers: bmansurov, atgo.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 25 2015, 3:34 PM

Hey Reading - when do you want to target having this conversation? fr-tech has sprint planning today, so if we'd like to do it in the next couple of weeks, let's get it in the hopper.

bmansurov set Security to None.Nov 25 2015, 4:19 PM
jhobs added a comment.EditedNov 25 2015, 4:53 PM

@atgo I'd love to get a read on what Fundraising's current process is for running a banner from planning to deployment. That should help us iron out a deployment process, or plans to implement one. Next week seems like an ideal time.

atgo added a comment.Nov 25 2015, 4:54 PM

Thanks @jhobs. Next week may be a little hard as we're launching the big
campaign on Tuesday, does early the following work?

Thanks @jhobs. Next week may be a little hard as we're launching the big
campaign on Tuesday, does early the following work?

Sure. In that case this card should move into the backlog for our next sprint. @JKatzWMF, what's the easiest way for me to signify this to you (ping in card like this, add Reading-Planning project, etc.)?

@JKatzWMF, what's the easiest way for me to signify this to you (ping in card like this, add Reading-Planning project, etc.)?

@jhobs I think email is best as I don't have a great phab filter, thanks!

atgo moved this task from Analysis to Sprint +1 on the Fundraising-Backlog board.Nov 25 2015, 6:48 PM
atgo added subscribers: Eileenmcnaughton, AndyRussG, Ejegg.

I will include @AndyRussG, @Ejegg, with @Eileenmcnaughton from fr-tech in a meeting the week of 12/7/15. Who from Reading should be invited?

atgo edited a custom field.Nov 26 2015, 12:15 AM
Jhernandez triaged this task as High priority.Nov 26 2015, 6:14 PM

I will include @AndyRussG, @Ejegg, with @Eileenmcnaughton from fr-tech in a meeting the week of 12/7/15. Who from Reading should be invited?

Definitely include me. After that I think it's just whoever is interested. I'll ping engineers here and just comment if you want to be included. @Jdlrobson @Jhernandez @bmansurov @phuedx + @dr0ptp4kt since he might want in on this.

atgo added a comment.Nov 30 2015, 5:50 PM

Thanks @jhobs. I created a meeting for Wednesday 12/9 for now. Included
fr-tech members listed above and you but can add more if needed. It's an
hour-long currently, but feel free to shorten if that's excessive.

Jdlrobson updated the task description. (Show Details)Dec 7 2015, 5:41 PM
Jdlrobson edited a custom field.
Jdlrobson updated the task description. (Show Details)
KLans_WMF renamed this task from Spike: QuickSurveys deployment process to Spike [2 hours]: QuickSurveys deployment process.Dec 7 2015, 5:43 PM
atgo moved this task from Backlog to Done on the Fundraising Sprint Zapp board.Dec 15 2015, 6:07 PM

@jhobs left you some questions in the email.

Have asked @jhobs to create a task to track this work. I want to understand whether it would be an optional dependency and what the cost is of adding CentralNotice code to all pages.

Anyone else have any questions? @bmansurov @phuedx @Jhernandez

phuedx added a comment.EditedDec 30 2015, 11:00 AM

Nope. I think that the questions cover most of our regular concerns. @jhobs: Could you copypasta @Jdlrobson's questions into your spike(s) so that the discussion/results are public? – which has already been mentioned in the on-list discussion IIRC.

atgo closed this task as Resolved.Jan 12 2016, 5:07 PM

Quick question: what new Phabricator tasks (if any) exist to track work on this? Thx!

So the email that was sitting as a reminder for me to add Jon's questions and create a new tracking Phabricator task fell into email purgatory somehow. Sorry for the ridiculously long delay on this, but the tracking task for work to switch over to using CentralNotice can be found here: T125125. I've posted Jon's questions in that task as well, since that's where the discussion should continue. I'm particularly keen on your insight on his questions @AndyRussG.